// *****************************
// Andy Wallace
// 2011
// based entirely on Balldroppings by Josh Nimoy http://balldroppings.com/js/
// *****************************

#pragma once

#include "ofMain.h"
#include "Particle.h"
#include "BounceLine.h"

class testApp : public ofBaseApp{

	public:
		void setup();
		void update();
		void draw();

		void keyPressed  (int key);
		void keyReleased(int key);
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased(int x, int y, int button);
		void windowResized(int w, int h);
		void dragEvent(ofDragInfo dragInfo);
		void gotMessage(ofMessage msg);
	
	
	vector<particle> particles;
	vector<BounceLine> lines;
	
	int lineEdit;	//which line we're editting
	bool pullingPos1;
	
	float clickDist;
	
	float trashX,trashY,trashSize;
	ofImage trashPic;		//this image by 3.0 http://thenounproject.com/noun/trash/#icon-No304
	
};
